<?php
/**
 * Header Options
 *
 * @package bakery_confectionery
 */

// ---------------------------------------- GENERAL OPTIONBS ----------------------------------------------------


// ---------------------------------------- PRELOADER ----------------------------------------------------

$wp_customize->add_section(
	'bakery_confectionery_general_options',
	array(
		'panel' => 'bakery_confectionery_theme_options',
		'title' => esc_html__( 'General Options', 'bakery-confectionery' ),
	)
);

// Add Separator Custom Control
$wp_customize->add_setting( 'bakery_confectionery_preloader_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Bakery_Confectionery_Separator_Custom_Control( $wp_customize, 'bakery_confectionery_preloader_separator', array(
	'label' => __( 'Enable / Disable Site Preloader Section', 'bakery-confectionery' ),
	'section' => 'bakery_confectionery_general_options',
	'settings' => 'bakery_confectionery_preloader_separator',
) ) );


// General Options - Enable Preloader.
$wp_customize->add_setting(
	'bakery_confectionery_enable_preloader',
	array(
		'sanitize_callback' => 'bakery_confectionery_sanitize_switch',
		'default'           => false,
	)
);

$wp_customize->add_control(
	new Bakery_Confectionery_Toggle_Switch_Custom_Control(
		$wp_customize,
		'bakery_confectionery_enable_preloader',
		array(
			'label'   => esc_html__( 'Enable Preloader', 'bakery-confectionery' ),
			'section' => 'bakery_confectionery_general_options',
		)
	)
);

// Preloader Style Setting
$wp_customize->add_setting(
    'bakery_confectionery_preloader_style',
    array(
        'default'           => 'style1',
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control(
    'bakery_confectionery_preloader_style',
    array(
        'type'     => 'select',
        'label'    => esc_html__('Select Preloader Styles', 'bakery-confectionery'),
		'active_callback' => 'bakery_confectionery_is_preloader_style',
        'section'  => 'bakery_confectionery_general_options',
        'choices'  => array(
            'style1' => esc_html__('Style 1', 'bakery-confectionery'),
            'style2' => esc_html__('Style 2', 'bakery-confectionery'),
            'style3' => esc_html__('Style 3', 'bakery-confectionery'),
        ),
    )
);


// Preloader Background Color Setting
$wp_customize->add_setting(
	'bakery_confectionery_preloader_background_color_setting',
	 array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 'bakery_confectionery_preloader_background_color_setting', 
		array(
			'label' => __('Preloader Background Color', 'bakery-confectionery'),
			'active_callback' => 'bakery_confectionery_is_preloader_style',
			'section' => 'bakery_confectionery_general_options',
		)
	)
);

// Preloader Background Image Setting
$wp_customize->add_setting(
	'bakery_confectionery_preloader_background_image_setting', 
	array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	new WP_Customize_Image_Control(
		$wp_customize, 'bakery_confectionery_preloader_background_image_setting',
		 array(
			'label' => __('Preloader Background Image', 'bakery-confectionery'),
			'active_callback' => 'bakery_confectionery_is_preloader_style',
			'section' => 'bakery_confectionery_general_options',
		)
	)
);

// ---------------------------------------- PAGINATION ----------------------------------------------------

// Add Separator Custom Control
$wp_customize->add_setting( 'bakery_confectionery_pagination_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Bakery_Confectionery_Separator_Custom_Control( $wp_customize, 'bakery_confectionery_pagination_separator', array(
	'label' => __( 'Enable / Disable Pagination Section', 'bakery-confectionery' ),
	'section' => 'bakery_confectionery_general_options',
	'settings' => 'bakery_confectionery_pagination_separator',
) ) );


// Pagination - Enable Pagination.
$wp_customize->add_setting(
	'bakery_confectionery_enable_pagination',
	array(
		'default'           => true,
		'sanitize_callback' => 'bakery_confectionery_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Bakery_Confectionery_Toggle_Switch_Custom_Control(
		$wp_customize,
		'bakery_confectionery_enable_pagination',
		array(
			'label'    => esc_html__( 'Enable Pagination', 'bakery-confectionery' ),
			'section'  => 'bakery_confectionery_general_options',
			'settings' => 'bakery_confectionery_enable_pagination',
			'type'     => 'checkbox',
		)
	)
);

// Pagination - Pagination Type.
$wp_customize->add_setting(
	'bakery_confectionery_pagination_type',
	array(
		'default'           => 'default',
		'sanitize_callback' => 'bakery_confectionery_sanitize_select',
	)
);

$wp_customize->add_control(
	'bakery_confectionery_pagination_type',
	array(
		'label'           => esc_html__( 'Pagination Type', 'bakery-confectionery' ),
		'section'         => 'bakery_confectionery_general_options',
		'settings'        => 'bakery_confectionery_pagination_type',
		'active_callback' => 'bakery_confectionery_is_pagination_enabled',
		'type'            => 'select',
		'choices'         => array(
			'default' => __( 'Default (Older/Newer)', 'bakery-confectionery' ),
			'numeric' => __( 'Numeric', 'bakery-confectionery' ),
		),
	)
);



// ---------------------------------------- BREADCRUMB ----------------------------------------------------


// Add Separator Custom Control
$wp_customize->add_setting( 'bakery_confectionery_breadcrumb_separators', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Bakery_Confectionery_Separator_Custom_Control( $wp_customize, 'bakery_confectionery_breadcrumb_separators', array(
	'label' => __( 'Enable / Disable Breadcrumb Section', 'bakery-confectionery' ),
	'section' => 'bakery_confectionery_general_options',
	'settings' => 'bakery_confectionery_breadcrumb_separators',
)));


// Breadcrumb - Enable Breadcrumb.
$wp_customize->add_setting(
	'bakery_confectionery_enable_breadcrumb',
	array(
		'sanitize_callback' => 'bakery_confectionery_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Bakery_Confectionery_Toggle_Switch_Custom_Control(
		$wp_customize,
		'bakery_confectionery_enable_breadcrumb',
		array(
			'label'   => esc_html__( 'Enable Breadcrumb', 'bakery-confectionery' ),
			'section' => 'bakery_confectionery_general_options',
		)
	)
);

// Breadcrumb - Separator.
$wp_customize->add_setting(
	'bakery_confectionery_breadcrumb_separator',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'           => '/',
	)
);

$wp_customize->add_control(
	'bakery_confectionery_breadcrumb_separator',
	array(
		'label'           => esc_html__( 'Separator', 'bakery-confectionery' ),
		'active_callback' => 'bakery_confectionery_is_breadcrumb_enabled',
		'section'         => 'bakery_confectionery_general_options',
	)
);



// ---------------------------------------- Website layout ----------------------------------------------------


// Add Separator Custom Control
$wp_customize->add_setting( 'bakery_confectionery_layuout_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Bakery_Confectionery_Separator_Custom_Control( $wp_customize, 'bakery_confectionery_layuout_separator', array(
	'label' => __( 'Website Layout Setting', 'bakery-confectionery' ),
	'section' => 'bakery_confectionery_general_options',
	'settings' => 'bakery_confectionery_layuout_separator',
)));


$wp_customize->add_setting(
	'bakery_confectionery_website_layout',
	array(
		'sanitize_callback' => 'bakery_confectionery_sanitize_switch',
		'default'           => false,
	)
);

$wp_customize->add_control(
	new Bakery_Confectionery_Toggle_Switch_Custom_Control(
		$wp_customize,
		'bakery_confectionery_website_layout',
		array(
			'label'   => esc_html__('Boxed Layout', 'bakery-confectionery'),
			'section' => 'bakery_confectionery_general_options',
		)
	)
);

$wp_customize->add_setting('bakery_confectionery_layout_width_margin', array(
	'default'           => 50,
	'sanitize_callback' => 'bakery_confectionery_sanitize_range_value',
));

$wp_customize->add_control(new Bakery_Confectionery_Customize_Range_Control($wp_customize, 'bakery_confectionery_layout_width_margin', array(
		'label'       => __('Set Width', 'bakery-confectionery'),
		'description' => __('Adjust the width around the website layout by moving the slider. Use this setting to customize the appearance of your site to fit your design preferences.', 'bakery-confectionery'),
		'section'     => 'bakery_confectionery_general_options',
		'settings'    => 'bakery_confectionery_layout_width_margin',
		'active_callback' => 'bakery_confectionery_is_layout_enabled',
		'input_attrs' => array(
			'min'  => 0,
			'max'  => 130,
			'step' => 1,
		),
)));




// ---------------------------------------- HEADER OPTIONS ----------------------------------------------------	


$wp_customize->add_section(
	'bakery_confectionery_header_options',
	array(
		'panel' => 'bakery_confectionery_theme_options',
		'title' => esc_html__( 'Header Options', 'bakery-confectionery' ),
	)
);


// Add setting for sticky header
$wp_customize->add_setting(
	'bakery_confectionery_enable_sticky_header',
	array(
		'sanitize_callback' => 'bakery_confectionery_sanitize_switch',
		'default'           => false,
	)
);

// Add control for sticky header setting
$wp_customize->add_control(
	new Bakery_Confectionery_Toggle_Switch_Custom_Control(
		$wp_customize,
		'bakery_confectionery_enable_sticky_header',
		array(
			'label'   => esc_html__( 'Enable Sticky Header', 'bakery-confectionery' ),
			'section' => 'bakery_confectionery_header_options',
		)
	)
);


// Header Options - Enable Topbar.
$wp_customize->add_setting(
	'bakery_confectionery_enable_topbar',
	array(
		'sanitize_callback' => 'bakery_confectionery_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Bakery_Confectionery_Toggle_Switch_Custom_Control(
		$wp_customize,
		'bakery_confectionery_enable_topbar',
		array(
			'label'   => esc_html__( 'Enable Topbar', 'bakery-confectionery' ),
			'section' => 'bakery_confectionery_header_options',
		)
	)
);

// Header Options - Contact Number.
$wp_customize->add_setting(
	'bakery_confectionery_discount_topbar_text',
	array(
		'default'           => 'Sign up for 20% off n your order',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'bakery_confectionery_discount_topbar_text',
	array(
		'label'           => esc_html__( 'Topbar Discount Text', 'bakery-confectionery' ),
		'section'         => 'bakery_confectionery_header_options',
		'type'            => 'text',
		'active_callback' => 'bakery_confectionery_is_topbar_enabled',
	)
);

// Header Options - Topbar Button Text.
$wp_customize->add_setting(
	'bakery_confectionery_discount_topbar_button_text',
	array(
		'default'           => 'Subscribe',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'bakery_confectionery_discount_topbar_button_text',
	array(
		'label'           => esc_html__( 'Discount Button Text', 'bakery-confectionery' ),
		'section'         => 'bakery_confectionery_header_options',
		'type'            => 'text',
		'active_callback' => 'bakery_confectionery_is_topbar_enabled',
	)
);


// Header Options - Topbar Button Link.
$wp_customize->add_setting(
	'bakery_confectionery_discount_topbar_button_url',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'bakery_confectionery_discount_topbar_button_url',
	array(
		'label'           => esc_html__( 'Discount Button Link', 'bakery-confectionery' ),
		'section'         => 'bakery_confectionery_header_options',
		'type'            => 'url',
		'active_callback' => 'bakery_confectionery_is_topbar_enabled',
	)
);

// Header Options - Topbar Phone Number.
$wp_customize->add_setting(
	'bakery_confectionery_discount_topbar_phone_nember',
	array(
		'default'           => '+9123456789',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'bakery_confectionery_discount_topbar_phone_nember',
	array(
		'label'           => esc_html__( 'Phone Number', 'bakery-confectionery' ),
		'section'         => 'bakery_confectionery_header_options',
		'type'            => 'text',
		'active_callback' => 'bakery_confectionery_is_topbar_enabled',
	)
);

// Header Options - Topbar Phone Icon.
$wp_customize->add_setting(
	'bakery_confectionery_phone_btn_icon',
	array(
        'default' => '',
		'sanitize_callback' => 'sanitize_text_field',
		'capability' => 'edit_theme_options',
		
	)
);	

$wp_customize->add_control(new Bakery_Confectionery_Change_Icon_Control($wp_customize, 
	'bakery_confectionery_phone_btn_icon',
	array(
	    'label'   		=> __('Phone Icon','bakery-confectionery'),
	    'section' 		=> 'bakery_confectionery_header_options',
		'iconset' => 'fa',
	))  
);

// Header Options - Enable Search Icon.
$wp_customize->add_setting(
	'bakery_confectionery_enable_search_icon',
	array(
		'sanitize_callback' => 'bakery_confectionery_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Bakery_Confectionery_Toggle_Switch_Custom_Control(
		$wp_customize,
		'bakery_confectionery_enable_search_icon',
		array(
			'label'   => esc_html__( 'Enable Search Icon', 'bakery-confectionery' ),
			'section' => 'bakery_confectionery_header_options',
		)
	)
);

// Add Separator Custom Control
$wp_customize->add_setting( 'bakery_confectionery_menu_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Bakery_Confectionery_Separator_Custom_Control( $wp_customize, 'bakery_confectionery_menu_separator', array(
	'label' => __( 'Menu Settings', 'bakery-confectionery' ),
	'section' => 'bakery_confectionery_header_options',
	'settings' => 'bakery_confectionery_menu_separator',
)));

$wp_customize->add_setting( 'bakery_confectionery_menu_font_size', array(
    'default'           => 16,
    'sanitize_callback' => 'absint',
) );

// Add control for site title size
$wp_customize->add_control( 'bakery_confectionery_menu_font_size', array(
    'type'        => 'number',
    'section'     => 'bakery_confectionery_header_options',
    'label'       => __( 'Menu Font Size ', 'bakery-confectionery' ),
    'input_attrs' => array(
        'min'  => 10,
        'max'  => 100,
        'step' => 1,
    ),
));

$wp_customize->add_setting( 'bakery_confectionery_menu_text_transform', array(
    'default'           => 'none', // Default value for text transform
    'sanitize_callback' => 'sanitize_text_field',
) );

// Add control for menu text transform
$wp_customize->add_control( 'bakery_confectionery_menu_text_transform', array(
    'type'     => 'select',
    'section'  => 'bakery_confectionery_header_options', // Adjust the section as needed
    'label'    => __( 'Menu Text Transform', 'bakery-confectionery' ),
    'choices'  => array(
        'none'       => __( 'None', 'bakery-confectionery' ),
        'capitalize' => __( 'Capitalize', 'bakery-confectionery' ),
        'uppercase'  => __( 'Uppercase', 'bakery-confectionery' ),
        'lowercase'  => __( 'Lowercase', 'bakery-confectionery' ),
    ),
) );

// Add setting for menu font weight
$wp_customize->add_setting('bakery_confectionery_menu_font_weight', array(
    'default'           => '400',
    'sanitize_callback' => 'sanitize_text_field',
));

// Add control for menu font weight
$wp_customize->add_control('bakery_confectionery_menu_font_weight', array(
    'type'     => 'select',
    'section'  => 'bakery_confectionery_header_options', 
    'label'    => __('Menu Font Weight', 'bakery-confectionery'),
    'choices'  => array(
		'100' => __('100','bakery-confectionery'),
		'200' => __('200','bakery-confectionery'),
		'300' => __('300','bakery-confectionery'),
		'400' => __('400','bakery-confectionery'),
		'500' => __('500','bakery-confectionery'),
		'600' => __('600','bakery-confectionery'),
		'700' => __('700','bakery-confectionery'),
		'800' => __('800','bakery-confectionery'),
		'900' => __('900','bakery-confectionery'),
    ),
));

// Menu Text Color 
$wp_customize->add_setting(
	'bakery_confectionery_menu_text_color', 
	array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 
		'bakery_confectionery_menu_text_color', 
		array(
			'label' => __('Menu Color', 'bakery-confectionery'),
			'section' => 'bakery_confectionery_header_options',
		)
	)
);

// Sub Menu Text Color 
$wp_customize->add_setting(
	'bakery_confectionery_sub_menu_text_color', 
	array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 
		'bakery_confectionery_sub_menu_text_color', 
		array(
			'label' => __('Sub Menu Color', 'bakery-confectionery'),
			'section' => 'bakery_confectionery_header_options',
		)
	)
);

// ----------------------------------------SITE IDENTITY----------------------------------------------------

// Site Logo - Enable Setting.
$wp_customize->add_setting(
	'bakery_confectionery_enable_site_logo',
	array(
		'default'           => true, // Default is to display the logo.
		'sanitize_callback' => 'bakery_confectionery_sanitize_switch', // Sanitize using a custom switch function.
	)
);

$wp_customize->add_control(
	new Bakery_Confectionery_Toggle_Switch_Custom_Control(
		$wp_customize,
		'bakery_confectionery_enable_site_logo',
		array(
			'label'    => esc_html__( 'Enable Site Logo', 'bakery-confectionery' ),
			'section'  => 'title_tagline', // Section to add this control.
			'settings' => 'bakery_confectionery_enable_site_logo',
		)
	)
);

// Site Title - Enable Setting.
$wp_customize->add_setting(
	'bakery_confectionery_enable_site_title_setting',
	array(
		'default'           => false,
		'sanitize_callback' => 'bakery_confectionery_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Bakery_Confectionery_Toggle_Switch_Custom_Control(
		$wp_customize,
		'bakery_confectionery_enable_site_title_setting',
		array(
			'label'    => esc_html__( 'Enable Site Title', 'bakery-confectionery' ),
			'section'  => 'title_tagline',
			'settings' => 'bakery_confectionery_enable_site_title_setting',
		)
	)
);

// Tagline - Enable Setting.
$wp_customize->add_setting(
	'bakery_confectionery_enable_tagline_setting',
	array(
		'default'           => false,
		'sanitize_callback' => 'bakery_confectionery_sanitize_switch',
	)
);;

$wp_customize->add_control(
	new Bakery_Confectionery_Toggle_Switch_Custom_Control(
		$wp_customize,
		'bakery_confectionery_enable_tagline_setting',
		array(
			'label'    => esc_html__( 'Enable Tagline', 'bakery-confectionery' ),
			'section'  => 'title_tagline',
			'settings' => 'bakery_confectionery_enable_tagline_setting',
		)
	)
);
$wp_customize->add_setting( 'bakery_confectionery_site_title_size', array(
    'default'           => 30, // Default font size in pixels
    'sanitize_callback' => 'absint', // Sanitize the input as a positive integer
) );

// Add control for site title size
$wp_customize->add_control( 'bakery_confectionery_site_title_size', array(
    'type'        => 'number',
    'section'     => 'title_tagline', // You can change this section to your preferred section
    'label'       => __( 'Site Title Font Size ', 'bakery-confectionery' ),
    'input_attrs' => array(
        'min'  => 10,
        'max'  => 100,
        'step' => 1,
    ),
) );

$wp_customize->add_setting('bakery_confectionery_site_logo_width', array(
    'default'           => 200,
    'sanitize_callback' => 'bakery_confectionery_sanitize_range_value',
));

$wp_customize->add_control(new Bakery_Confectionery_Customize_Range_Control($wp_customize, 'bakery_confectionery_site_logo_width', array(
    'label'       => __('Adjust Site Logo Width', 'bakery-confectionery'),
    'description' => __('This setting controls the Width of Site Logo', 'bakery-confectionery'),
    'section'     => 'title_tagline',
    'settings'    => 'bakery_confectionery_site_logo_width',
    'input_attrs' => array(
        'min'  => 0,
        'max'  => 400,
        'step' => 5,
    ),
)));

// ---------------------------------------- ANIMATION ----------------------------------------------------

$wp_customize->add_setting( 'bakery_confectionery_animation_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );
$wp_customize->add_control( new Bakery_Confectionery_Separator_Custom_Control( $wp_customize, 'bakery_confectionery_animation_separator', array(
	'label' => __( 'Enable / Disable Animation', 'bakery-confectionery' ),
	'section' => 'bakery_confectionery_general_options',
	'settings' => 'bakery_confectionery_animation_separator',
) ) );
// Animation Enable / Disable
$wp_customize->add_setting('bakery_confectionery_enable_animation',array(
		'default'           => true,
		'sanitize_callback' => 'bakery_confectionery_sanitize_switch',
	)
);
$wp_customize->add_control(
	new Bakery_Confectionery_Toggle_Switch_Custom_Control($wp_customize,'bakery_confectionery_enable_animation',array(
			'label'   => esc_html__( 'Enable Animation', 'bakery-confectionery' ),
			'section' => 'bakery_confectionery_general_options',
		)
	)
);

// Topbar Padding Setting
$wp_customize->add_setting('bakery_confectionery_topbar_padding',array(
		'default' => '',
		'sanitize_callback' => 'absint'
	)
);
$wp_customize->add_control('bakery_confectionery_topbar_padding',array(
		'label' => __('Topbar Padding','bakery-confectionery'),
		'section' => 'bakery_confectionery_header_options',
		'type' => 'number',
		'input_attrs' => array(
			'min' => 0,
			'max' => 50,
			'step' => 1
		)
	)
);